import { CSSProperties } from "react";


interface Props {
    style?: CSSProperties;
}

export default function BubblesBack({ style }: Props) {

    return (
        <svg
            width="698"
            height="725"
            viewBox="0 0 698 725"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
            style={{...style}}
        >
            <circle cx="512.29" cy="695.847" r="28.6748" transform="rotate(-72.8761 512.29 695.847)" fill="url(#paint0_linear_0_1)" />
            <circle cx="473.92" cy="438.59" r="224.9" transform="rotate(-72.8761 473.92 438.59)" fill="url(#paint1_linear_0_1)" />
            <circle cx="306.607" cy="226.59" r="151.058" transform="rotate(-72.8761 306.607 226.59)" fill="url(#paint2_linear_0_1)" />
            <circle cx="36.4784" cy="317.703" r="35.7362" transform="rotate(-72.8761 36.4784 317.703)" fill="url(#paint3_linear_0_1)" fillOpacity="0.4" />
            <circle cx="595.659" cy="21.7912" r="21.7786" transform="rotate(-72.8761 595.659 21.7912)" fill="#A260F7" />
            <defs>
                <linearGradient id="paint0_linear_0_1" x1="535.318" y1="677.903" x2="512.29" y2="724.522" gradientUnits="userSpaceOnUse">
                    <stop stopColor="#B78EEC" />
                    <stop offset="1" stopColor="#7E2AEA" stopOpacity="0" />
                </linearGradient>
                <linearGradient id="paint1_linear_0_1" x1="654.534" y1="297.853" x2="440.308" y2="710.713" gradientUnits="userSpaceOnUse">
                    <stop stopColor="#7E2AEA" />
                    <stop offset="1" stopColor="#7E2AEA" stopOpacity="0" />
                </linearGradient>
                <linearGradient id="paint2_linear_0_1" x1="450.762" y1="121.898" x2="306.607" y2="377.648" gradientUnits="userSpaceOnUse">
                    <stop stopColor="#E9D9FF" />
                    <stop offset="1" stopColor="#7E2AEA" />
                </linearGradient>
                <linearGradient id="paint3_linear_0_1" x1="36.4784" y1="281.967" x2="36.4784" y2="353.439" gradientUnits="userSpaceOnUse">
                    <stop stopColor="#C4A4ED" />
                    <stop offset="1" stopColor="#7E2AEA" />
                </linearGradient>
            </defs>
        </svg>
    );
}