import { CSSProperties } from "react";


interface Props {
    style?: CSSProperties;
}

export default function BubblesBack({ style }: Props) {

    return (
        <svg width="603" height="768" viewBox="0 0 603 768" fill="none" xmlns="http://www.w3.org/2000/svg" style={{ ...style }}>
            <circle cx="29.4147" cy="29.4147" r="29.4147" transform="matrix(-0.999892 -0.0146775 -0.0146775 0.999892 59.6875 409.864)" fill="url(#paint0_linear_201_1972)" fillOpacity="0.3" />
            <ellipse cx="584.739" cy="17.7199" rx="14.1682" ry="14.1971" transform="rotate(-72.8761 584.739 17.7199)" fill="url(#paint1_linear_201_1972)" fillOpacity="0.7" />
            <circle cx="181.996" cy="641.996" r="58.2935" transform="rotate(-31.0159 181.996 641.996)" fill="url(#paint2_linear_201_1972)" fillOpacity="0.4" />
            <circle cx="386.841" cy="721.841" r="33.4047" transform="rotate(-31.0159 386.841 721.841)" fill="url(#paint3_linear_201_1972)" />
            <defs>
                <linearGradient id="paint0_linear_201_1972" x1="14.7802" y1="5.75737" x2="45.2986" y2="59.5717" gradientUnits="userSpaceOnUse">
                    <stop stopColor="#EFE3FF" />
                    <stop offset="1" stopColor="#7E2AEA" />
                </linearGradient>
                <linearGradient id="paint1_linear_201_1972" x1="600.075" y1="20.694" x2="567.857" y2="6.65045" gradientUnits="userSpaceOnUse">
                    <stop stopColor="#EFE3FF" />
                    <stop offset="1" stopColor="#7E2AEA" />
                </linearGradient>
                <linearGradient id="paint2_linear_201_1972" x1="183.052" y1="581.514" x2="225.539" y2="724.326" gradientUnits="userSpaceOnUse">
                    <stop stopColor="#B78EEC" />
                    <stop offset="1" stopColor="#7E2AEA" stopOpacity="0" />
                </linearGradient>
                <linearGradient id="paint3_linear_201_1972" x1="386.841" y1="688.436" x2="386.841" y2="755.246" gradientUnits="userSpaceOnUse">
                    <stop stopColor="#945CDB" />
                    <stop offset="1" stopColor="#945CDB" stopOpacity="0" />
                </linearGradient>
            </defs>
        </svg>
    );
}