import { CSSProperties } from "react";


interface Props {
    style?: CSSProperties;
}

export default function BubblesFront({ style }: Props) {

    return (
        <svg width="385" height="385" viewBox="0 0 385 385" fill="none" xmlns="http://www.w3.org/2000/svg" style={{ ...style }}>
            <circle cx="192.049" cy="192.05" r="139.947" transform="rotate(-31.0159 192.049 192.05)" fill="url(#paint0_linear_201_19721)" />
            <circle cx="137.929" cy="139.644" r="29.8248" transform="rotate(-31.0159 137.929 139.644)" fill="url(#paint1_linear_201_19722)" fillOpacity="0.8" />
            <defs>
                <linearGradient id="paint0_linear_201_19721" x1="161.709" y1="35.7324" x2="148.312" y2="340.388" gradientUnits="userSpaceOnUse">
                    <stop stopColor="#CEA8FF" stopOpacity="0.65" />
                    <stop offset="1" stopColor="white" stopOpacity="0" />
                </linearGradient>
                <linearGradient id="paint1_linear_201_19722" x1="137.929" y1="109.82" x2="137.929" y2="169.469" gradientUnits="userSpaceOnUse">
                    <stop stopColor="#C4A4ED" />
                    <stop offset="1" stopColor="#7E2AEA" />
                </linearGradient>
            </defs>
        </svg>
    );
}