import { CSSProperties } from "react";

interface Props {
  style?: CSSProperties;
}

export default function BubblesBack({ style }: Props) {
  return (
    <svg
      width="353"
      height="739"
      viewBox="0 0 353 739"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      style={{ ...style }}
    >
      <circle
        cx="250.21"
        cy="75.2094"
        r="73.1437"
        transform="rotate(-0.840987 250.21 75.2094)"
        fill="url(#paint0_linear_202_2566)"
      />
      <path
        d="M241.97 700.467C210.189 694.427 157.248 661.733 134.75 646.141C114.659 632.972 -34.3708 513.051 54.3738 398.106C134.75 294 288.794 390.561 267.669 459.757C252.762 508.589 257.772 519.089 290.349 544.165C322.926 569.24 346.282 600.413 338.08 644.685C329.878 688.956 281.697 708.018 241.97 700.467Z"
        fill="url(#paint1_linear_202_2566)"
      />
      <defs>
        <linearGradient
          id="paint0_linear_202_2566"
          x1="284.32"
          y1="129.625"
          x2="189.605"
          y2="24.9319"
          gradientUnits="userSpaceOnUse"
        >
          <stop stopColor="#7E2AEA" />
          <stop offset="1" stopColor="#7E2AEA" stopOpacity="0" />
        </linearGradient>
        <linearGradient
          id="paint1_linear_202_2566"
          x1="221.501"
          y1="365"
          x2="114.278"
          y2="566.77"
          gradientUnits="userSpaceOnUse"
        >
          <stop stopColor="#E3D0FB" />
          <stop offset="1" stopColor="#7E2AEA" stopOpacity="0" />
        </linearGradient>
      </defs>
    </svg>
  );
}
